summaryrefslogtreecommitdiffstats
path: root/source/ap/sysstat
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/ap/sysstat
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/ap/sysstat')
-rw-r--r--source/ap/sysstat/slack-desc19
-rwxr-xr-xsource/ap/sysstat/sysstat.SlackBuild107
-rw-r--r--source/ap/sysstat/sysstat.etc.sysstat.diff46
-rw-r--r--source/ap/sysstat/sysstat.prefix.usr.diff42
-rw-r--r--source/ap/sysstat/sysstat.var.run.diff28
5 files changed, 242 insertions, 0 deletions
diff --git a/source/ap/sysstat/slack-desc b/source/ap/sysstat/slack-desc
new file mode 100644
index 000000000..e36d25ff9
--- /dev/null
+++ b/source/ap/sysstat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sysstat: sysstat (system performance monitoring tools)
+sysstat:
+sysstat: The sysstat utilities are a collection of performance monitoring
+sysstat: tools for Linux. These include sar, sadf, mpstat, iostat and sa
+sysstat: tools.
+sysstat:
+sysstat: The sysstat utilities were written by Sebastien Godard.
+sysstat:
+sysstat:
+sysstat:
+sysstat:
diff --git a/source/ap/sysstat/sysstat.SlackBuild b/source/ap/sysstat/sysstat.SlackBuild
new file mode 100755
index 000000000..399bb4bd4
--- /dev/null
+++ b/source/ap/sysstat/sysstat.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=sysstat
+VERSION=${VERSION:-7.0.0}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xjvf $CWD/${PKGNAM}-$VERSION.tar.bz2
+cd ${PKGNAM}-$VERSION
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Put the config file in /etc/sysstat, not /etc/sysconfig (a Red Hat thing):
+zcat $CWD/sysstat.etc.sysstat.diff.gz | patch -p1 --verbose || exit 1
+
+# PREFIX is hardcoded in some places, so this is just easier:
+zcat $CWD/sysstat.prefix.usr.diff.gz | patch -p1 --verbose || exit 1
+
+# Don't use /tmp in a script root will probably run... that's not good.
+zcat $CWD/sysstat.var.run.diff.gz | patch -p1 --verbose || exit 1
+
+make SA_LIB_DIR=/usr/lib${LIBDIRSUFFIX}/sa DESTDIR=$PKG || exit 1
+make install SA_LIB_DIR=/usr/lib${LIBDIRSUFFIX}/sa DESTDIR=$PKG || exit 1
+
+# Yeah, technically this is an init script that could go in /etc/rc.d/, but
+# I'd rather not put too many things in there. If you need this, I'm sure
+# you will find it here:
+mkdir -p $PKG/etc/sysstat
+cp -a sysstat $PKG/etc/sysstat/sysstat
+chown root:root $PKG/etc/sysstat/sysstat
+chmod 755 $PKG/etc/sysstat/sysstat
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Fix the documentation directory to preserve timestamps:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+rm -f $PKG/usr/doc/${PKGNAM}-$VERSION/*
+cp -a \
+ COPYING CREDITS FAQ README TODO sysstat-7.0.0.lsm \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/package-${PKGNAM}
+makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/sysstat/sysstat.etc.sysstat.diff b/source/ap/sysstat/sysstat.etc.sysstat.diff
new file mode 100644
index 000000000..f5cf15211
--- /dev/null
+++ b/source/ap/sysstat/sysstat.etc.sysstat.diff
@@ -0,0 +1,46 @@
+--- ./Makefile.orig 2006-07-05 10:46:04.000000000 -0500
++++ ./Makefile 2006-08-14 21:40:38.000000000 -0500
+@@ -34,7 +34,7 @@
+ MAN8_DIR = $(MAN_DIR)/man8
+ DOC_DIR = $(PREFIX)/doc/sysstat-$(VERSION)
+ NLS_DIR = $(PREFIX)/share/locale
+-SYSCONFIG_DIR = /etc/sysconfig
++SYSCONFIG_DIR = /etc/sysstat
+
+ # Compiler flags
+ CFLAGS = -Wall -Wstrict-prototypes -pipe -O2 -fno-strength-reduce
+--- ./sa2.in.orig 2006-06-09 03:17:26.000000000 -0500
++++ ./sa2.in 2006-08-14 21:38:35.000000000 -0500
+@@ -7,7 +7,7 @@
+ # make history configurable
+ #
+ HISTORY=7
+-[ -r /etc/sysconfig/sysstat ] && . /etc/sysconfig/sysstat
++[ -r /etc/sysstat/sysstat ] && . /etc/sysstat/sysstat
+ [ ${HISTORY} -gt 28 ] && HISTORY=28
+ S_TIME_FORMAT=ISO ; export S_TIME_FORMAT
+ umask 0022
+--- ./README.orig 2006-07-05 10:51:54.000000000 -0500
++++ ./README 2006-08-14 21:39:27.000000000 -0500
+@@ -91,8 +91,8 @@
+ ${PREFIX}/doc/sysstat-x.y.z/*
+ /var/log/sa
+ ${INIT_DIR}/sysstat
+-/etc/sysconfig/sysstat
+-/etc/sysconfig/sysstat.ioconf
++/etc/sysstat/sysstat
++/etc/sysstat/sysstat.ioconf
+ /etc/cron.d/sysstat
+ /etc/rc.d/rc.sysstat for [SLACKWARE]
+ ${RC_DIR}/rc2.d/S03sysstat
+--- ./ioconf.h.orig 2006-07-09 03:19:06.000000000 -0500
++++ ./ioconf.h 2006-08-14 21:36:48.000000000 -0500
+@@ -20,7 +20,7 @@
+ #define MAX_BLKDEV 255
+ #endif
+
+-#define IOCONF "/etc/sysconfig/sysstat.ioconf"
++#define IOCONF "/etc/sysstat/sysstat.ioconf"
+
+ #define K_NODEV "nodev"
+
diff --git a/source/ap/sysstat/sysstat.prefix.usr.diff b/source/ap/sysstat/sysstat.prefix.usr.diff
new file mode 100644
index 000000000..c7c526b42
--- /dev/null
+++ b/source/ap/sysstat/sysstat.prefix.usr.diff
@@ -0,0 +1,42 @@
+--- ./build/Configure.sh.orig 2006-06-09 03:21:27.000000000 -0500
++++ ./build/Configure.sh 2006-08-14 21:54:37.000000000 -0500
+@@ -10,10 +10,10 @@
+
+ # Installation directory
+
+-PREFIX=`${ASK} 'Installation directory:' "/usr/local" "prefix"`
++PREFIX=`${ASK} 'Installation directory:' "/usr" "prefix"`
+ if [ ! -d ${PREFIX} ]; then
+- echo "WARNING: Directory ${PREFIX} not found: Using default (/usr/local)."
+- PREFIX=/usr/local
++ echo "WARNING: Directory ${PREFIX} not found: Using default (/usr)."
++ PREFIX=/usr
+ fi
+
+ # sadc directory
+--- ./build/CONFIG.def.orig 2006-06-09 03:20:56.000000000 -0500
++++ ./build/CONFIG.def 2006-08-14 21:54:19.000000000 -0500
+@@ -2,8 +2,8 @@
+ # (C) 2000-2006 Sebastien GODARD (sysstat <at> wanadoo.fr)
+
+ # Directories
+-PREFIX = /usr/local
+-SA_LIB_DIR = /usr/local/lib/sa
++PREFIX = /usr
++SA_LIB_DIR = /usr/lib/sa
+ SADC_PATH = ${SA_LIB_DIR}/sadc
+ SA_DIR = /var/log/sa
+ # Do not use ${PREFIX}/share/man by default: not necessarily in man path!
+--- ./build/CONFIG.orig 2006-07-09 04:47:17.000000000 -0500
++++ ./build/CONFIG 2006-08-14 21:54:10.000000000 -0500
+@@ -2,8 +2,8 @@
+ # (C) 2000-2006 Sebastien GODARD (sysstat <at> wanadoo.fr)
+
+ # Directories
+-PREFIX = /usr/local
+-SA_LIB_DIR = /usr/local/lib/sa
++PREFIX = /usr
++SA_LIB_DIR = /usr/lib/sa
+ SADC_PATH = ${SA_LIB_DIR}/sadc
+ SA_DIR = /var/log/sa
+ # Do not use ${PREFIX}/share/man by default: not necessarily in man path!
diff --git a/source/ap/sysstat/sysstat.var.run.diff b/source/ap/sysstat/sysstat.var.run.diff
new file mode 100644
index 000000000..3b54f37e6
--- /dev/null
+++ b/source/ap/sysstat/sysstat.var.run.diff
@@ -0,0 +1,28 @@
+--- ./sysstat.in.orig 2006-07-05 10:58:00.000000000 -0500
++++ ./sysstat.in 2006-08-14 22:03:13.000000000 -0500
+@@ -22,21 +22,21 @@
+
+ RETVAL=0
+ # Remove flag indicating that sadc was successfully launched
+-rm -f /tmp/sysstat.run
++rm -f /var/run/sysstat.run
+
+ # See how we were called.
+ case "$1" in
+ start)
+ echo -n "Calling the system activity data collector (sadc): "
+- SU SA_LIB_DIR/sadc -F -L - && touch /tmp/sysstat.run QUOTE
++ SU SA_LIB_DIR/sadc -F -L - && touch /var/run/sysstat.run QUOTE
+
+ # Try to guess if sadc was successfully launched. The difficulty
+ # here is that the exit code is lost when the above command is
+ # run via "su foo -c ..."
+- if [ ! -f /tmp/sysstat.run ]; then
++ if [ ! -f /var/run/sysstat.run ]; then
+ RETVAL=1
+ else
+- rm -f /tmp/sysstat.run
++ rm -f /var/run/sysstat.run
+ fi
+ echo
+ ;;